Skip to main content

Agents

Use these endpoints to create and manage agents.

Agent endpoints manage the agent record. To create AI resources and configure which AI resource an agent uses, see AI Resources.

All endpoints require:

  • Authorization: Bearer $PD_ACCESS_TOKEN

Get Agents​

GET https://app.predictabledialogs.com/v1/agents

Returns all agents available for your access token context.

Example Request​

curl https://app.predictabledialogs.com/v1/agents \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $PD_ACCESS_TOKEN"

Returns​

{
"data": [
{
"id": "cmabc123agent",
"webId": "cluut0qmh0306ltbnrmpktciw",
"name": "My Website Chatbot",
"createdAt": "2026-05-02T10:00:00.000Z",
"updatedAt": "2026-05-02T10:00:00.000Z",
"isPublic": false,
"publicSlug": null
}
]
}

Create Agent​

POST https://app.predictabledialogs.com/v1/agents

Creates a new agent.

Request Body​

{
"name": "My Website Chatbot"
}

Example Request​

curl -X POST https://app.predictabledialogs.com/v1/agents \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $PD_ACCESS_TOKEN" \
-d '{
"name": "My Website Chatbot"
}'

Returns​

{
"data": {
"id": "cmabc123agent",
"webId": "cluut0qmh0306ltbnrmpktciw",
"name": "My Website Chatbot",
"createdAt": "2026-05-02T10:00:00.000Z",
"updatedAt": "2026-05-02T10:00:00.000Z",
"isPublic": false,
"publicSlug": null
}
}

Get Agent​

GET https://app.predictabledialogs.com/v1/agents/{agentId}

Gets a single agent by agentId.

Example Request​

curl https://app.predictabledialogs.com/v1/agents/cmabc123agent \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $PD_ACCESS_TOKEN"

Update Agent Display Name​

PATCH https://app.predictabledialogs.com/v1/agents/{agentId}

Updates the agent display name.

Request Body​

{
"name": "Updated Agent Name"
}

Example Request​

curl -X PATCH https://app.predictabledialogs.com/v1/agents/cmabc123agent \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $PD_ACCESS_TOKEN" \
-d '{
"name": "Updated Agent Name"
}'

Delete Agent​

DELETE https://app.predictabledialogs.com/v1/agents/{agentId}

Deletes an agent.

Example Request​

curl -X DELETE https://app.predictabledialogs.com/v1/agents/cmabc123agent \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $PD_ACCESS_TOKEN"

Returns​

{
"ok": true
}